Thanks To:

Gamemode concept created and maintained by Crescendo#1760
Alpha Testing - MegaJuan#6302
Beta Testing - tv/0ddlaw#3579, and the RoR2 Discord

___

Install:

An R2Modman modpack file is included. This should have all the properly set up configs. Note that you will probably need to update this mod, and any CR modules.
	
If no items show up from cellvent rewards/in printers, you need to go to the "Item Drops" menu on the title screen, and enable the items.

___

Summary:

Recommended for 4-10 players

A mod designed to automate the job of the admin, and increase the accessibility of the alternate gamemode "Champion's Ring"!

A gamemode, where you fight to survive against the ever-increasing difficulty of the Void Fields!

Keep in mind there have been some slight tweaks to the gamemode, as presented in the doc above. That doc is made, and updated by Crescendo, and may not perfectly reflect your experience with my mod.

___

Contact:

Have you found a bug? Have feedback for things I should change, or add to the config? I'm PlasmaCore#1219 on discord. You can @ me in the RoR2 or RoR2Modding Discords, or shoot me a DM.

___

Features:
- All players are respawned on completion of a cell vent, and each will have a single used Dio's restored

- Certain lunars are capped for balance reasons

- Many items have changed tiers! Leaching seed is still trash as a white

- Some items are moved into new tiers! trade 3 reds for a Champion tier items
	- Lunars are still free though

- Barrels! Because Polyp is kinda, actually, a build

- A config file

- Now supports Classic Items by putting Scepter and Permafrost in Champion tier properly

___

Items:
- Radar Scanner:
	Item Tier: Orange
	Places a safezone at the place you are looking when you use it. The safezone protects from the void, and lasts 50 seconds
- Fuel Array
	Item Tier: Orange
	Grants a additional red reward on completion of the 9th cell vent. If you can manage to get it that far.
- Recycler
	Item Tier: Orange
	Cooldown is significantly reduced.

- Squid Polyp and Fireworks Bundle
	Item Tier: White
	Items unchanged. However, normal barrels will be spawned at the start of each cell vent, making them more useful. 
- Artifact Key:
	Item Tier: Green
	Helps charge the vent faster (changes charge rate calculation to [Active Players in Vent] + [Team Artifact Keys] / [Active Players Total] + [Team Artifact Keys])
- Rusted Key
	Item Tier: Green
	Grants an additional qhite reward for cell vents 1-4 for every 5 Rusted Keys you have
- Armor Piercing Rounds
	Item Tier: Red
	Grants an additional green reward for cell vents 5-8 for every 2 APR you have
- Ghor's Tome
	Item Tier: Blue(Champion)
	Creates 10 small chests when pickedup. Capped at 1 per person.
- Lepton Daisy
	Item Tier: Blue(Champion)
	Creates a healing shrine on every cell vent, when it is activated. The healing shrines do not disappear. Spawns additional shrines around the cell vent for each daisy held. Caps at 7.
- Defiant Gouge
	Item Tier: Blue(Lunar)
	Creates a chance shrine in every cell vent. Acts as normal.
- Halcyon Seed
	Item Tier: Blue(Lunar)
	Grants a cursed Dio's Best Friend. When this is used, the player will be respawned in rage mode. Thier damage will be significantly reduced, but they will be granted focus crystals to offset this. Additionally, their health will drain completely over 15 seconds, however they will receive monster teeth, requiring them to keep killing enemies to survive. If they die in this state, they will not be respawned at the next cell vent. However, if they live to the end of the cell vent, they will be returned to normal. Please that the health drain does not effect shields, and transcendence users will die instantly. Does not replenish after use.
	
- Focus Convergence
	Item Tier: Blue(Shop)
	Cannot be bought. Grants additional printers and equipment barrels in the Bazaar
- Beads of Fealty
	Item Tier: Blue(Shop)
	Cannot be bought. Grants additional equipment barrels.
		
___

Commands:

set_rewards [Reward Count] - Set rewards for next cell vent. Note that the rewards are automatically set when a vent is started.

bazaar_number [Number] - Set the current bazaar number. Updates time and stage number accordingly.

vent_number [Number] - Set the current cell vent number. Adds enemies and items list accordingly. Also updates time, and rewards. Best used after cell vents are activated.

crlist - Lists all players, and several details about them, including their current inventory counted as whites

___

Changelog:
Last confirmed stable version: 1.0.15

- 1.1.1
	- Fixed players randomly getting Dio's
	- Fixed some other Halcyon Seed stuff
- 1.1.0
	- Mod is now perfectly stable and has no issues.
	- Cell vent reward caps implemented
	- Fixed squid polyp halcyon interaction
	- Some other stuff I probably forgot
- 1.0.15
	- Fixed Engineer turrets and halcyon seed 
	- Some experimental stuff
- 1.0.14
	- Fuel array now updates rewards at the correct time!
	- Fixed some issues relating to disconnected players
	- Fuel array no longer drops equipment "none"

- 1.0.13
	- Now with more changelog!
	- Finally updated readme!
	- Actually remembered to put the newer version of the mod dll in the zip!
	- Now automatically gives players 2 Dios in every stage of the final boss
___

Known Issues:
- Interactible cost types don't update visually on client-side
- Yes, there are Depreciated mods in the modpack.
- Shrine of Order mixes Blues and Lunars together, for obvious reasons.
- Going through a portal while drones are on the enemy team softlocks the game
- Command doesn't work
- Event system broke
- Polyps are too good.